#version 330

// Input vertex attributes (from vertex shader)
in vec2 fragTexCoord;
in vec4 fragColor;

// Input uniform values
uniform sampler2D texture0;
uniform vec4 colDiffuse;

// Output fragment color
out vec4 finalColor;

void main() {
        float alpha = 1.0;
	vec2 p = fragTexCoord;
        vec2 c = vec2(gl_FragCoord.x, gl_FragCoord.y);

        c.x /= 1280;

        if(c.x < 0.10) alpha = (c.x / 0.10);
        if(c.x > 0.90) alpha = 1.0 - ((c.x - 0.90) / 0.10);

	finalColor = texture(texture0, p) * colDiffuse * fragColor;
        finalColor.a *= alpha;
}
